| QxOrm 1.1.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions
qx::QxArchive< T, ArchiveInput, ArchiveOutput > Class Template Reference
QxSerialize : QxOrm library serialization engine based on 'boost::serialization' library

qx::QxArchive : provide some tools to serialize a class registered into QxOrm context into/from binary/text/XML archives (file, string, etc.) More...

`#include <QxArchive.h>`

List of all members.

## Public Types
typedef qx::trait::archive_wide_traits < ArchiveInput >::type_string | type_string
## Static Public Member Functions
static qx_bool | toFile (const T &obj, const QString &sFileName, unsigned int flags=boost::archive::no_header)
static qx_bool | fromFile (T &obj, const QString &sFileName, unsigned int flags=boost::archive::no_header)
static qx_bool | toFileCompressed (const T &obj, const QString &sFileName, unsigned int flags=boost::archive::no_header, int iCompressionLevel=-1)
static qx_bool | fromFileCompressed (T &obj, const QString &sFileName, unsigned int flags=boost::archive::no_header)
static QString | toString (const T &obj, unsigned int flags=boost::archive::no_header)
static qx_bool | fromString (T &obj, const QString &sString, unsigned int flags=boost::archive::no_header)
static QByteArray | toByteArray (const T &obj, type_string *owner=NULL, unsigned int flags=boost::archive::no_header)
static qx_bool | fromByteArray (T &obj, const QByteArray &data, unsigned int flags=boost::archive::no_header)

## Detailed Description

### template<class T, class ArchiveInput = QX_DEFAULT_ARCHIVE_INPUT, class ArchiveOutput = QX_DEFAULT_ARCHIVE_OUTPUT>
class qx::QxArchive< T, ArchiveInput, ArchiveOutput >

qx::QxArchive : provide some tools to serialize a class registered into QxOrm context into/from binary/text/XML archives (file, string, etc.)

Definition at line 74 of file QxArchive.h.

## Member Typedef Documentation

template<class T , class ArchiveInput = QX_DEFAULT_ARCHIVE_INPUT, class ArchiveOutput = QX_DEFAULT_ARCHIVE_OUTPUT>

typedef qx::trait::archive_wide_traits<ArchiveInput>::type_string qx::QxArchive< T, ArchiveInput, ArchiveOutput >::type_string

Definition at line 79 of file QxArchive.h.

## Member Function Documentation

template<class T , class ArchiveInput = QX_DEFAULT_ARCHIVE_INPUT, class ArchiveOutput = QX_DEFAULT_ARCHIVE_OUTPUT>

static qx_bool qx::QxArchive< T, ArchiveInput, ArchiveOutput >::fromByteArray | ( | T & | obj,
|  | const QByteArray & | data,
|  | unsigned int | flags = `boost::archive::no_header`
| ) |  | `[static]`

template<class T , class ArchiveInput = QX_DEFAULT_ARCHIVE_INPUT, class ArchiveOutput = QX_DEFAULT_ARCHIVE_OUTPUT>

static qx_bool qx::QxArchive< T, ArchiveInput, ArchiveOutput >::fromFile | ( | T & | obj,
|  | const QString & | sFileName,
|  | unsigned int | flags = `boost::archive::no_header`
| ) |  | `[static]`

template<class T , class ArchiveInput = QX_DEFAULT_ARCHIVE_INPUT, class ArchiveOutput = QX_DEFAULT_ARCHIVE_OUTPUT>

static qx_bool qx::QxArchive< T, ArchiveInput, ArchiveOutput >::fromFileCompressed | ( | T & | obj,
|  | const QString & | sFileName,
|  | unsigned int | flags = `boost::archive::no_header`
| ) |  | `[static]`

template<class T , class ArchiveInput = QX_DEFAULT_ARCHIVE_INPUT, class ArchiveOutput = QX_DEFAULT_ARCHIVE_OUTPUT>

static qx_bool qx::QxArchive< T, ArchiveInput, ArchiveOutput >::fromString | ( | T & | obj,
|  | const QString & | sString,
|  | unsigned int | flags = `boost::archive::no_header`
| ) |  | `[static]`

template<class T , class ArchiveInput = QX_DEFAULT_ARCHIVE_INPUT, class ArchiveOutput = QX_DEFAULT_ARCHIVE_OUTPUT>

static QByteArray qx::QxArchive< T, ArchiveInput, ArchiveOutput >::toByteArray | ( | const T & | obj,
|  | type_string * | owner = `NULL`,
|  | unsigned int | flags = `boost::archive::no_header`
| ) |  | `[static]`

template<class T , class ArchiveInput = QX_DEFAULT_ARCHIVE_INPUT, class ArchiveOutput = QX_DEFAULT_ARCHIVE_OUTPUT>

static qx_bool qx::QxArchive< T, ArchiveInput, ArchiveOutput >::toFile | ( | const T & | obj,
|  | const QString & | sFileName,
|  | unsigned int | flags = `boost::archive::no_header`
| ) |  | `[static]`

template<class T , class ArchiveInput = QX_DEFAULT_ARCHIVE_INPUT, class ArchiveOutput = QX_DEFAULT_ARCHIVE_OUTPUT>

static qx_bool qx::QxArchive< T, ArchiveInput, ArchiveOutput >::toFileCompressed | ( | const T & | obj,
|  | const QString & | sFileName,
|  | unsigned int | flags = `boost::archive::no_header`,
|  | int | iCompressionLevel = `-1`
| ) |  | `[static]`

template<class T , class ArchiveInput = QX_DEFAULT_ARCHIVE_INPUT, class ArchiveOutput = QX_DEFAULT_ARCHIVE_OUTPUT>

static QString qx::QxArchive< T, ArchiveInput, ArchiveOutput >::toString | ( | const T & | obj,
|  | unsigned int | flags = `boost::archive::no_header`
| ) |  | `[static]`

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxSerialize/QxArchive.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines